Bug 37263 - Preserve application data no longer works
Summary: Preserve application data no longer works
Status: CLOSED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Android (show other bugs)
Version: 4.3.0 (C9)
Hardware: PC Windows
: Normal normal
Target Milestone: 4.3.0 (C9)
Assignee: dean.ellis
URL:
Depends on:
Blocks:
 
Reported: 2015-12-23 12:19 UTC by Andy
Modified: 2017-03-03 21:34 UTC (History)
8 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Andy 2015-12-23 12:19:34 UTC
The last time I remember this working was before the Options dialog was rearranged in (I think) Xamarin 4.

Now it doesn't matter whether the box is ticked or unticked as the application data is preserved regardless
Comment 2 dean.ellis 2016-11-22 15:29:45 UTC
Adding a new property

 $(AndroidPreserveUserData)

which will be used to handle this flag.

e.g 

 /p:AndroidPreserveUserData=true|false
Comment 3 dean.ellis 2016-11-22 16:46:50 UTC
PR is up https://github.com/xamarin/monodroid/pull/539
Comment 5 xamarin-release-manager 2016-11-24 14:12:13 UTC
Fixed in version 99.1.0.157 (master)

Author: Jose Gallardo
Commit: a90adbe8e267518e88195ac7df958c90a8783fa8 (xamarin/XamarinVS)
Comment 6 xamarin-release-manager 2016-11-25 19:42:13 UTC
Fixed in version 4.3.0.405 (cycle9)

Author: jmt
Commit: 6c28f00ec6a54552ab47da26f7017e04874c5dd9 (xamarin/XamarinVS)
Comment 7 xamarin-release-manager 2016-12-01 18:44:10 UTC
Fixed in version 4.3.0.453 (cycle9)

Author: Dean Ellis
Commit: f7a97e43b421fb15750093a8d6e3fcd0f2a1d70a (xamarin/monodroid)
Included in Commit: f230a4bfc46784caa9e2cf5f4793664d992f6eeb (xamarin/XamarinVS)
Comment 8 Mohit Kheterpal 2016-12-02 18:12:08 UTC
@Dean

I have tried to verify this issue by checking and unchecking preserve data/cache on device while deployment option but I am not sure what should I check to verify this issue.

I have also discussed this with Peter on slack but he suggested to follow up with Dean.

So, could you please suggest me what should I check to verify that the fix is implemented on fixed build.

thanks
Comment 9 Shruti 2017-02-08 04:51:08 UTC
@DDean, It would be great help If you have a look to comment8. Your valuable respond can help us to reproduce/verify this issue. It's been long time to be in resolved state.

Looking for your reply.
Thanks!!

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 37263 on Developer Community if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: